#
# spec file for package perl-Apache-Session (Version 1.53)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel mod_perl perl-DBI perl-Digest-MD5 perl-MIME-Base64 perl-Storable perl-URI
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mod_perl modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-DBI perl-Digest-MD5 perl-MIME-Base64 perl-Storable perl-URI ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Apache-Session
%define apache_includedir   	%(apxs -q INCLUDEDIR)
%define version_perl       	%(rpm -q --queryformat '%{version}' perl)
%define version_apache		%(rpm -q --queryformat '%{version}' apache)
%define perl_installsitelib  	%(eval "`perl -V:installsitelib`"; echo $installsitelib)
Copyright:    BSD style
Group:        Development/Libraries/Perl
Provides:     Apache-Session
Requires:     perl = %{version_perl} 
Requires:     apache = %{version_apache}
Requires:     mod_perl perl-URI perl-Storable perl-DBI perl-Digest-MD5 perl-MIME-Base64
Conflicts:    perlmod
Autoreqprov:  on
Version:      1.53
Release:      152
Source:       Apache-Session-1.53.tar.gz
Patch:        Apache-Session-1.53.dif
Summary:      persistent storage for arbitrary data
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
These modules provide persistent storage for arbitrary data, in
arbitrary backing stores.  The details of interacting with the backing
store are abstracted to make all backing stores behave alike.  The
programmer simply interacts with a tied hash.

Authors:
--------
    Jeffrey William Baker <jwbaker@acm.org>

SuSE series: perl

%prep 
%setup -n Apache-Session-%{version}
%patch

%build
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
perl Makefile.PL
make all
make test
	

%install
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
        install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | \
	sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/Apache/Session/
       cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
%doc INSTALL README TODO CHANGES README MANIFEST eg
%doc %{_mandir}/man3/Apache::Session::File.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Lock::MySQL.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Serialize::Base64.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Store::File.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Generate::MD5.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Serialize::Sybase.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Store::DB_File.3pm.gz
%doc %{_mandir}/man3/Apache::Session::DB_File.3pm.gz
%doc %{_mandir}/man3/Apache::Session::MySQL.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Serialize::UUEncode.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Store::Postgres.3pm.gz
%doc %{_mandir}/man3/Apache::Session.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Store::MySQL.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Sybase.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Lock::Null.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Store::Sybase.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Lock::Semaphore.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Lock::File.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Flex.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Oracle.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Serialize::Storable.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Postgres.3pm.gz
%doc %{_mandir}/man3/Apache::Session::Store::Oracle.3pm.gz
%{perl_installsitelib}/Apache/Session.pm
%{perl_installsitelib}/Apache/Session
%{perl_sitearch}/auto/Apache/Session/
/var/adm/perl-modules/%{name}

%changelog -n perl-Apache-Session
* Tue Aug 14 2001 - ro@suse.de
- use Digest::MD5 instead of deprecated MD5
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Fri Nov 17 2000 - rolf@suse.de
- extracted from perlmod package
